2 2

[alpine-aports] [PATCH] testing/slrn: new aport

Steffen Lange
Details
Message ID
<1457800779-5816-1-git-send-email-steffen@stelas.de>
Sender timestamp
1457800779
DKIM signature
missing
Download raw message
Patch: +30 -0
http://www.slrn.org/
An open source text-based news client
---
 testing/slrn/APKBUILD | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)
 create mode 100644 testing/slrn/APKBUILD

diff --git a/testing/slrn/APKBUILD b/testing/slrn/APKBUILD
new file mode 100644
index 0000000..d77f41a
--- /dev/null
+++ b/testing/slrn/APKBUILD
@@ -0,0 +1,30 @@
+# Maintainer: Steffen Lange <steffen@stelas.de>
+pkgname=slrn
+pkgver=1.0.2
+pkgrel=0
+pkgdesc="An open source text-based news client"
+url="http://www.slrn.org/"
+arch="x86 x86_64"
+license="GPL"
+depends_dev="openssl-dev slang-dev"
+makedepends="$depends_dev"
+subpackages="$pkgname-doc"
+source="http://jedsoft.org/releases/slrn/$pkgname-$pkgver.tar.gz"
+
+build() {
+  cd "$srcdir/$pkgname-$pkgver"
+  ./configure --prefix=/usr --sysconfdir=/etc \
+              --enable-setgid-code \
+              --with-slrnpull --with-ssl \
+              --enable-spoilers || return 1
+  make -j1 || return 1
+}
+
+package() {
+  cd "$srcdir/$pkgname-$pkgver"
+  make -j1 DESTDIR="$pkgdir" install || return 1
+  install -Dm644 doc/slrn.rc "$pkgdir"/etc/slrnrc
+  gzip -9 "$pkgdir"/usr/share/man/man1/*.1
+}
+
+md5sums="cd21aa0f5ec9c2ec1a26e5f1322f6422  slrn-1.0.2.tar.gz"
-- 
2.7.2



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---
Natanael Copa
Details
Message ID
<20160322122022.51d81d6a@ncopa-desktop.alpinelinux.org>
In-Reply-To
<1457800779-5816-1-git-send-email-steffen@stelas.de> (view parent)
Sender timestamp
1458645622
DKIM signature
missing
Download raw message
Hi,

A few questions below:

On Sat, 12 Mar 2016 17:39:39 +0100
Steffen Lange <steffen@stelas.de> wrote:

> http://www.slrn.org/
> An open source text-based news client
> ---
>  testing/slrn/APKBUILD | 30 ++++++++++++++++++++++++++++++
>  1 file changed, 30 insertions(+)
>  create mode 100644 testing/slrn/APKBUILD
> 
> diff --git a/testing/slrn/APKBUILD b/testing/slrn/APKBUILD
> new file mode 100644
> index 0000000..d77f41a
> --- /dev/null
> +++ b/testing/slrn/APKBUILD
> @@ -0,0 +1,30 @@
> +# Maintainer: Steffen Lange <steffen@stelas.de>
> +pkgname=slrn
> +pkgver=1.0.2
> +pkgrel=0
> +pkgdesc="An open source text-based news client"
> +url="http://www.slrn.org/"
> +arch="x86 x86_64"

Is it known to not work on arm?

> +license="GPL"
> +depends_dev="openssl-dev slang-dev"
> +makedepends="$depends_dev"
> +subpackages="$pkgname-doc"
> +source="http://jedsoft.org/releases/slrn/$pkgname-$pkgver.tar.gz"
> +
> +build() {
> +  cd "$srcdir/$pkgname-$pkgver"
> +  ./configure --prefix=/usr --sysconfdir=/etc \
> +              --enable-setgid-code \
> +              --with-slrnpull --with-ssl \
> +              --enable-spoilers || return 1
> +  make -j1 || return 1

why -j1? Is it known to have problems with parallel builds? If so, are
those reported upstream? can we fix those issues?

> +}
> +
> +package() {
> +  cd "$srcdir/$pkgname-$pkgver"
> +  make -j1 DESTDIR="$pkgdir" install || return 1
> +  install -Dm644 doc/slrn.rc "$pkgdir"/etc/slrnrc
> +  gzip -9 "$pkgdir"/usr/share/man/man1/*.1

I think abuild should compress manpages for us automatically.

> +}
> +
> +md5sums="cd21aa0f5ec9c2ec1a26e5f1322f6422  slrn-1.0.2.tar.gz"



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---
Steffen Lange
Details
Message ID
<20160324170716.65cecff4@enterprise>
In-Reply-To
<20160322122022.51d81d6a@ncopa-desktop.alpinelinux.org> (view parent)
Sender timestamp
1458835636
DKIM signature
missing
Download raw message
Hi,

thanks for your quick patch and acceptance to testing repo, Natanael.

Am Tue, 22 Mar 2016 12:20:22 +0100
schrieb Natanael Copa <ncopa@alpinelinux.org>:

> Hi,
> 
> A few questions below:
> 
> On Sat, 12 Mar 2016 17:39:39 +0100
> Steffen Lange <steffen@stelas.de> wrote:
> 
> > http://www.slrn.org/
> > An open source text-based news client
> > ---
> >  testing/slrn/APKBUILD | 30 ++++++++++++++++++++++++++++++
> >  1 file changed, 30 insertions(+)
> >  create mode 100644 testing/slrn/APKBUILD
> > 
> > diff --git a/testing/slrn/APKBUILD b/testing/slrn/APKBUILD
> > new file mode 100644
> > index 0000000..d77f41a
> > --- /dev/null
> > +++ b/testing/slrn/APKBUILD
> > @@ -0,0 +1,30 @@
> > +# Maintainer: Steffen Lange <steffen@stelas.de>
> > +pkgname=slrn
> > +pkgver=1.0.2
> > +pkgrel=0
> > +pkgdesc="An open source text-based news client"
> > +url="http://www.slrn.org/"
> > +arch="x86 x86_64"
> 
> Is it known to not work on arm?
> 

Seems to compile, but I could only test x86 and amd64.

> > +license="GPL"
> > +depends_dev="openssl-dev slang-dev"
> > +makedepends="$depends_dev"
> > +subpackages="$pkgname-doc"
> > +source="http://jedsoft.org/releases/slrn/$pkgname-$pkgver.tar.gz"
> > +
> > +build() {
> > +  cd "$srcdir/$pkgname-$pkgver"
> > +  ./configure --prefix=/usr --sysconfdir=/etc \
> > +              --enable-setgid-code \
> > +              --with-slrnpull --with-ssl \
> > +              --enable-spoilers || return 1
> > +  make -j1 || return 1
> 
> why -j1? Is it known to have problems with parallel builds? If so, are
> those reported upstream? can we fix those issues?
> 

In parallel mode, 'make install' executes the single install subtargets
(create dirs, copy files) in undetermined order; but parallel build
works fine.

> > +}
> > +
> > +package() {
> > +  cd "$srcdir/$pkgname-$pkgver"
> > +  make -j1 DESTDIR="$pkgdir" install || return 1
> > +  install -Dm644 doc/slrn.rc "$pkgdir"/etc/slrnrc
> > +  gzip -9 "$pkgdir"/usr/share/man/man1/*.1
> 
> I think abuild should compress manpages for us automatically.
> 

Great, I looked for something like the zipman option from PKGBUILD.

> > +}
> > +
> > +md5sums="cd21aa0f5ec9c2ec1a26e5f1322f6422  slrn-1.0.2.tar.gz"
> 

Best regards,
Steffen


---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---